triangulation4.h File Reference

Internal header for 4-dimensional triangulations. More...

`#include <list>`
`#include <memory>`
`#include <vector>`
`#include "regina-core.h"`
`#include "triangulation/generic/triangulation.h"`
`#include "utilities/markedvector.h"`
`#include "triangulation/dim4/pentachoron4.h"`
`#include "triangulation/dim4/edge4.h"`
`#include "triangulation/dim4/vertex4.h"`
`#include "triangulation/dim4/component4.h"`
`#include "triangulation/dim4/boundarycomponent4.h"`

## Classes

class | regina::XMLTriangulationReader< dim >
| An XML packet reader that reads a single dim-dimensional triangulation. More...
class | regina::Triangulation< 4 >
| Represents a 4-dimensional triangulation, typically of a 4-manifold. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Triangulation< 4 > | regina::Dim4Triangulation
| Deprecated typedef for backward compatibility. More...
typedef FaceEmbedding< 4, 2 > | regina::Dim4TriangleEmbedding
| Deprecated typedef for backward compatibility. More...
typedef FaceEmbedding< 4, 3 > | regina::Dim4TetrahedronEmbedding
| Deprecated typedef for backward compatibility. More...
typedef Face< 4, 2 > | regina::Dim4Triangle
| Deprecated typedef for backward compatibility. More...
typedef Face< 4, 3 > | regina::Dim4Tetrahedron
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Internal header for 4-dimensional triangulations.

This file is automatically included from triangulation/dim4.h; there is no need for end users to include this header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).